import { world, system, ItemStack, EntityInventoryComponent} from "@minecraft/server";
import { ActionFormData } from "@minecraft/server-ui";

const overworld = world.getDimension("overworld");

system.runInterval(() => {
    overworld.runCommand(`replaceitem entity @a slot.hotbar 8 light_block 1 1 {"item_lock": {"mode": "lock_in_slot"}}`);
    });

world.beforeEvents.itemUse.subscribe((eventData) => {

    const typeIdItem = eventData.itemStack.typeId;
    const player = eventData.source;
    switch (typeIdItem) {
        case "minecraft:light_block":
            eventData.cancel = true;
            system.run(async () => {
                const result = await chooseHelpUI.show(player);
                if (result.canceled) {
                    return;
                } else if (result.selection === 0) {
                    player.runCommand(`me Where the gold is...`);
                } else if (result.selection === 1) {
                    player.runCommand(`me Between the crystals...`);
                } else if (result.selection === 2) {
                    player.runCommand(`me Under the leaves... `);
                } else if (result.selection === 3) {
                    player.runCommand(`me On the lava...`);
                };
            });
            break;
    }
});

const chooseHelpUI = new ActionFormData();
chooseHelpUI.title = "HELP";
chooseHelpUI.button("§6Desert ", "textures/blocks/sand");
chooseHelpUI.button("§8Lush Caves ", "textures/blocks/stone");
chooseHelpUI.button("§2Jungle", "textures/blocks/bamboo_block");
chooseHelpUI.button("§4Nether", "textures/blocks/netherrack");

